#[macro_use]
extern crate diesel;

use dataworker::dtos::Root;
use dataworker::insert_document;
use diesel::{Connection, PgConnection};
use dotenvy::dotenv;
use std::error::Error;
use std::io::Write;
use std::{env, fs};

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    dotenv().ok();
    let url = env::var("DATABASE_URL").expect("DATABASE_URL must be set");
    let mut conn =
        PgConnection::establish(&url).unwrap_or_else(|_| panic!("Error connecting to {}", url));

    let src = "/home/bread/Downloads/2025-01-22(1)/2025-01-22";
    let total = fs::read_dir(src).unwrap().count();
    let mut count = 0;

    fs::read_dir(src).unwrap().into_iter().for_each(|path| {
        count += 1;
        let path = path.unwrap();
        print!(
            "\x1B[2K\r {}/{} ({})",
            count,
            total,
            path.file_name().to_str().unwrap()
        );
        std::io::stdout().flush().unwrap();
        let content = fs::read_to_string(path.path()).unwrap();
        let data = serde_json::from_str::<Root>(&content).unwrap();
        insert_document(data, &mut conn).unwrap();
    });

    println!();
    Ok(())
}
