// Generated by diesel_ext

#![allow(unused)]
#![allow(clippy::all)]
#![allow(non_snake_case)]

use crate::schema::*;
use chrono::NaiveDate;
use chrono::NaiveDateTime;
use diesel::pg::Pg;
#[derive(Queryable, Selectable, Insertable, Debug, Identifiable, QueryableByName)]
#[diesel(table_name = arrivals)]
#[diesel(check_for_backend(Pg))]
#[diesel(primary_key(stopID, servingLine_key, servingLine_stateless))]
pub struct Arrival {
    pub depatureRequestId: i32,
    pub stopID: Option<i32>,
    pub x: Option<f64>,
    pub y: Option<f64>,
    pub mapName: Option<String>,
    pub area: Option<String>,
    pub platform: Option<String>,
    pub platformName: Option<String>,
    pub stopName: Option<String>,
    pub nameWO: Option<String>,
    pub pointType: Option<String>,
    pub countdown: Option<i32>,
    pub arrivalTime: Option<NaiveDateTime>,
    pub realArrivalTime: Option<NaiveDateTime>,
    pub servingLine_key: Option<String>,
    pub servingLine_code: Option<String>,
    pub servingLine_number: Option<String>,
    pub servingLine_symbol: Option<String>,
    pub servingLine_motType: Option<i32>,
    pub servingLine_mtSubcode: Option<i32>,
    pub servingLine_realtime: Option<bool>,
    pub servingLine_direction: Option<String>,
    pub servingLine_directionFrom: Option<String>,
    pub servingLine_name: Option<String>,
    pub servingLine_delay: Option<i32>,
    pub servingLine_liErgRiProj_line: Option<String>,
    pub servingLine_liErgRiProj_project: Option<String>,
    pub servingLine_liErgRiProj_direction: Option<String>,
    pub servingLine_liErgRiProj_supplement: Option<String>,
    pub servingLine_liErgRiProj_network: Option<String>,
    pub servingLine_destID: Option<String>,
    pub servingLine_stateless: Option<String>,
    pub servingLine_lineDisplay: Option<String>,
    pub operator_code: Option<String>,
    pub operator_name: Option<String>,
    pub operator_publicCode: Option<String>,
    pub attrs_name: Option<String>,
    pub attrs_value: Option<String>,
}

#[derive(Queryable, Selectable, Insertable, Debug, QueryableByName)]
#[diesel(table_name = depature_requests)]
#[diesel(check_for_backend(Pg))]
#[diesel(primary_key(depatureRequestId))]
pub struct DepatureRequest {
    pub depatureRequestId: i32,
    pub stopid: Option<i32>,
    pub serverid: Option<String>,
    pub requestid: Option<String>,
    pub sessionid: Option<String>,
    pub calcTime: Option<f64>,
    pub serverTime: Option<NaiveDateTime>,
    pub logRequestId: Option<String>,
}

#[derive(Queryable, Selectable, Insertable, Debug, QueryableByName)]
#[diesel(table_name = depature_requests)]
pub struct NewDepatureRequest {
    pub stopid: Option<i32>,
    pub serverid: Option<String>,
    pub requestid: Option<String>,
    pub sessionid: Option<String>,
    pub calcTime: Option<f64>,
    pub serverTime: Option<NaiveDateTime>,
    pub logRequestId: Option<String>,
}

#[derive(Queryable, Selectable, Insertable, Debug, Identifiable, QueryableByName)]
#[diesel(table_name = depature_requeststation_hints)]
#[diesel(check_for_backend(Pg))]
#[diesel(primary_key(infoLinkUrl))]
pub struct DepatureRequeststationHint {
    pub infoLinkUrl: String,
    pub depatureRequestId: Option<i32>,
}

#[derive(Queryable, Selectable, Insertable, Debug, Identifiable, QueryableByName)]
#[diesel(table_name = serving_line_depature_requests)]
#[diesel(primary_key(depatureRequestId))]
pub struct ServingLineDepatureRequest {
    pub depatureRequestId: i32,
    pub servingLineId: String,
}

#[derive(Queryable, Selectable, Insertable, Debug, Identifiable, QueryableByName)]
#[diesel(table_name = serving_lines)]
#[diesel(primary_key(servingLineId))]
pub struct ServingLine {
    pub servingLineId: String,
    pub mode_name: Option<String>,
    pub mode_number: Option<String>,
    pub mode_product: Option<String>,
    pub mode_productId: Option<i32>,
    pub mode_type: Option<i32>,
    pub mode_code: Option<i32>,
    pub mode_destination: Option<String>,
    pub mode_destID: Option<i32>,
    pub mode_desc: Option<String>,
    pub mode_timetablePeriod: Option<String>,
    pub diva_branch: Option<String>,
    pub diva_line: Option<String>,
    pub diva_supplement: Option<String>,
    pub diva_dir: Option<String>,
    pub diva_project: Option<String>,
    pub diva_network: Option<String>,
    pub diva_stateless: Option<String>,
    pub diva_tripCode: Option<i32>,
    pub diva_operator: Option<String>,
    pub diva_opPublicCode: Option<String>,
    pub diva_opCode: Option<String>,
    pub diva_Vf: Option<NaiveDate>,
    pub diva_vTo: Option<NaiveDate>,
    pub diva_lineDisplay: Option<String>,
    pub meta_lastModificationDate: Option<NaiveDateTime>,
}

#[derive(Queryable, Selectable, Insertable, Debug, Identifiable, QueryableByName)]
#[diesel(table_name = station_hints)]
#[diesel(primary_key(infoLinkURL))]
pub struct StationHint {
    pub infoLinkURL: String,
    pub infoLinkText: Option<String>,
    pub infoText: Option<String>,
}

#[derive(Queryable, Selectable, Insertable, Debug, Identifiable, QueryableByName)]
#[diesel(table_name = stop_lists)]
#[diesel(primary_key(input))]
pub struct StopList {
    pub input: i32,
    pub point_dm: Option<String>,
    pub point_type: Option<String>,
    pub point_name: Option<String>,
    pub point_stateless: Option<String>,
    pub point_stopId: Option<i32>,
    pub point_anytype: Option<String>,
    pub point_sort: Option<i32>,
    pub point_quality: Option<i32>,
    pub point_best: Option<i32>,
    pub point_object: Option<String>,
    pub point_ref_id: Option<i32>,
    pub point_ref_gid: Option<String>,
    pub point_ref_omc: Option<i32>,
    pub point_ref_placeID: Option<i32>,
    pub point_ref_place: Option<String>,
    pub point_ref_coords: Option<String>,
    pub itdOdvAssignedStops_stopid: Option<i32>,
    pub itdOdvAssignedStops_name: Option<String>,
    pub itdOdvAssignedStops_x: Option<f64>,
    pub itdOdvAssignedStops_y: Option<f64>,
    pub itdOdvAssignedStops_mapName: Option<String>,
    pub itdOdvAssignedStops_value: Option<String>,
    pub itdOdvAssignedStops_place: Option<String>,
    pub itdOdvAssignedStops_nameWithPlace: Option<String>,
    pub itdOdvAssignedStops_distanceTime: Option<i32>,
    pub itdOdvAssignedStops_isTransferStop: Option<i32>,
    pub itdOdvAssignedStops_vm: Option<i32>,
    pub itdOdvAssignedStops_gid: Option<String>,
    pub meta_lastModificationDate: Option<NaiveDateTime>,
}
